## LassoIdWsf2SecTokenPolicy LassoIdWsf2SecTokenPolicy — <sec:TokenPolicy> |

## Functions

LassoIdWsf2SecTokenPolicy * | lasso_idwsf2_sec_token_policy_new ()

## Types and Values

struct | LassoIdWsf2SecTokenPolicy

## Description

Figure 242. Schema fragment for sec:TokenPolicy

    <xs:complexType name="TokenPolicyType">
      <xs:sequence>
        <xs:any namespace="##any" processContents="lax" minOccurs="0"/>
      </xs:sequence>
      <xs:attribute name="validUntil" type="xs:dateTime" use="optional"/>
      <xs:attribute name="issueTo" type="xs:anyURI" use="optional"/>
      <xs:attribute name="type" type="xs:anyURI" use="optional"/>
      <xs:attribute name="wantDSEPR" type="xs:boolean" use="optional" />
      <xs:anyAttribute namespace="##other" processContents="lax" />
    </xs:complexType>

## Functions

### lasso_idwsf2_sec_token_policy_new ()

    LassoIdWsf2SecTokenPolicy *
    lasso_idwsf2_sec_token_policy_new (void);

Creates a new LassoIdWsf2SecTokenPolicy object.

#### Returns

a newly created LassoIdWsf2SecTokenPolicy object

## Types and Values

### struct LassoIdWsf2SecTokenPolicy

    struct LassoIdWsf2SecTokenPolicy {
    	LassoNode parent;

    	/* elements */
    	LassoNode *any;
    	/* attributes */
    	char *validUntil;
    	char *issueTo;
    	char *type;
    	gboolean wantDSEPR;
    	GHashTable *attributes;
    };